﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using System.Diagnostics;

namespace _111860
{
    class CheckBoxOnMouseHover:IUIElementDrawFilter
    {
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is CellUIElement)
                return true;
            drawParams.AppearanceData.AlphaLevel = 255;
            return false;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is EditorWithTextDisplayTextUIElement)
                return DrawPhase.BeforeDrawForeground ;

            if (drawParams.Element is CellUIElement)
                return DrawPhase.BeforeDrawFocus;

            return DrawPhase.None;
            
        }
    }
}
